<?xml version="1.0" encoding="utf-8" ?><rss version="2.0" xml:base="http://siarp.de/blog/2" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Martin‘s posts</title>
    <link>http://siarp.de/blog/2</link>
    <description></description>
    <language>en</language>
     <atom:link href="http://siarp.de/martin.xml" rel="self" type="application/rss+xml" />
      <item>
    <title>MongoDB und node.js auf Ubuntu 9.04 Jaunty installieren</title>
    <link>http://siarp.de/node/229</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;div class=&quot;geshifilter&quot;&gt;&lt;div class=&quot;text geshifilter-text&quot;&gt;sudo vim /etc/apt/sources.list&lt;br /&gt;
&amp;gt; # MongoDB&lt;br /&gt;
&amp;gt; deb http://downloads.mongodb.org/distros/ubuntu 9.4 10gen&lt;br /&gt;&lt;br /&gt;
sudo aptitude update &amp;amp;&amp;amp; sudo aptitude install mongodb-stable&lt;br /&gt;&lt;br /&gt;
sudo /etc/init.d/mongodb start&lt;br /&gt;&lt;br /&gt;
git clone http://github.com/ry/node.git&lt;br /&gt;
cd node&lt;br /&gt;
git checkout -b tags/v0.2.0&lt;br /&gt;
./configure --prefix=/home/martin&lt;br /&gt;
make&lt;br /&gt;
make install&lt;br /&gt;&lt;br /&gt;
curl http://npmjs.org/install.sh | sh&lt;br /&gt;
npm install mongodb mustache&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Thu, 26 Aug 2010 11:33:58 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">229 at http://siarp.de</guid>
  </item>
  <item>
    <title>Committeten auf deutsch</title>
    <link>http://siarp.de/node/227</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;Bei der Frage, mit wie vielen Ts man eigentlich „committeten“ („das steht im committeten Code“) schreibt, dachte ich mir, es wäre Zeit, sich mal mit vernünftigen und vertretbaren Übersetzungen in diesem Bereich zu beschäftigen. Das Ergebnis:&lt;/p&gt;

&lt;p&gt;Ein „Commit“ ist ein „Beitrag“, etwas „committen“ etwas „beitragen“. Beim „Repository“ ist es noch unklar. Es lässt sich wohl mit „Repositorium“aber auch mit „Repository“ übersetzen. Schön wäre vielleicht auch „Magazin“. „Einen Beitrag zum Magazin leisten“...&lt;/p&gt;

&lt;p&gt;Also, wisst ihr bescheid.&lt;/p&gt;
&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Thu, 06 May 2010 20:01:37 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">227 at http://siarp.de</guid>
  </item>
  <item>
    <title>Plone: Item Type as Criterion for Collection but not to show up in Search</title>
    <link>http://siarp.de/node/223</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;You can&#039;t select an item type as a criterion for a collection if it is not selected to be included in search results. In the &quot;Search settings&quot; (&lt;span class=&quot;geshifilter&quot;&gt;&lt;code class=&quot;text geshifilter-text&quot;&gt;/@@search-controlpanel&lt;/code&gt;&lt;/span&gt;) you can exclude certain content types from being &quot;searched and be available in the user facing part of the site&quot;. That actually corresponds to the list of &lt;span class=&quot;geshifilter&quot;&gt;&lt;code class=&quot;text geshifilter-text&quot;&gt;types_not_searched&lt;/code&gt;&lt;/span&gt; in &lt;span class=&quot;geshifilter&quot;&gt;&lt;code class=&quot;text geshifilter-text&quot;&gt;site_properties&lt;/code&gt;&lt;/span&gt;.&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Mon, 16 Nov 2009 14:13:07 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">223 at http://siarp.de</guid>
  </item>
  <item>
    <title>My SilverStripe Usability Test</title>
    <link>http://siarp.de/node/222</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;So I decided to try out &lt;a href=&quot;http://silverstripe.org/&quot;&gt;SilveStripe&lt;/a&gt; (Version 2.3.3) to check out if it&#039;s of any value for me as a freelance web developer. I&#039;m kind of an expert in &lt;a href=&quot;http://drupal.org/&quot;&gt;Drupal&lt;/a&gt;, I also work with &lt;a href=&quot;http://plone.org/&quot;&gt;Plone&lt;/a&gt;, and lately I&#039;m very interested in usability and I do track initiatives in the Drupal and Plone community to give users a better experience. I know that feedback of a first-time user is valuable so I thought I&#039;d write down my impressions of SilverStripe right away.&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Sat, 14 Nov 2009 10:44:13 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">222 at http://siarp.de</guid>
  </item>
  <item>
    <title>YAML und Listen im IE6</title>
    <link>http://siarp.de/node/221</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;Achtung! Böse Falle mit YAML und Listen im Internet Explorer 6! Folgender Code steht in der iehacks.css und gilt für den IE6.&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Wed, 11 Nov 2009 09:52:50 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">221 at http://siarp.de</guid>
  </item>
  <item>
    <title>YAML, jQuery slideToggle and IE6</title>
    <link>http://siarp.de/node/220</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;As usual with browser bugs and hacks this took me a while to find out.&lt;/p&gt;

&lt;p&gt;I have an unordered list with complex items like floats and stuff. This list is supposed to hide when I click on a button by slowly decreasing its height. I use &lt;a href=&quot;http://docs.jquery.com/Effects/slideToggle&quot;&gt;jQuery&#039;s slideToggle&lt;/a&gt; for that.&lt;/p&gt;

&lt;p&gt;&lt;strong&gt;Problem:&lt;/strong&gt; In Internet Explorer 6 the content (or parts of it) is hidden after the list is shown (slid down).&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Fri, 06 Nov 2009 13:46:36 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">220 at http://siarp.de</guid>
  </item>
  <item>
    <title>Bazaar: incompatible format 2a and rich-root support</title>
    <link>http://siarp.de/node/218</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;I&#039;m running Bazaar 2.0 on my local machine and the remote repository runs on Ubuntu Jaunty which provides Bazaar 1.13. After working locally for some time I wanted to push my branch to a newly created shared repository on the server but I got the error message&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Mon, 26 Oct 2009 09:38:36 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">218 at http://siarp.de</guid>
  </item>
  <item>
    <title>Ruby on Rails deployen</title>
    <link>http://siarp.de/node/204</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;Das Szenario: Es sollen neben statischen Webseiten und PHP-Anwendungen auch Ruby-on-Rails-Anwendungen auf dem Server laufen. Die klassische Variante ist für jede Rails-Anwendung einen oder mehrere (Load Balancing) &lt;a href=&quot;http://mongrel.rubyforge.org/&quot;&gt;Mongrel&lt;/a&gt;-Server laufen zu lassen und die mittels &lt;a href=&quot;http://httpd.apache.org/docs/2.2/mod/mod_proxy.html&quot;&gt;Reverse Proxy&lt;/a&gt; hinter den Apache zu schalten (Port 80, SSL, Sicherheit). Außerdem gibt es (relativ neu) das Apache-Modul &lt;a href=&quot;http://www.modrails.com/&quot;&gt;Phusion Passenger (a.k.a. mod_rails / mod_rack)&lt;/a&gt;.&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Sun, 27 Sep 2009 13:29:27 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">204 at http://siarp.de</guid>
  </item>
  <item>
    <title>Plone 3: How to really exclude from navigation</title>
    <link>http://siarp.de/node/201</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;Plone has multiple ways of excluding a content object from the navigation:&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Thu, 20 Aug 2009 22:49:35 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">201 at http://siarp.de</guid>
  </item>
  <item>
    <title>Enabling Gallery2‘s language support by configuring locales in Ubuntu 7.10 (Gutsy)</title>
    <link>http://siarp.de/node/199</link>
    <description>&lt;div class=&quot;field field-name-body field-type-text-with-summary field-label-hidden&quot;&gt;&lt;div class=&quot;field-items&quot;&gt;&lt;div class=&quot;field-item even&quot;&gt;&lt;p&gt;Gallery2 didn‘t want to talk German to me :(&lt;/p&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;</description>
     <pubDate>Sat, 09 May 2009 10:14:20 +0000</pubDate>
 <dc:creator>Martin</dc:creator>
 <guid isPermaLink="false">199 at http://siarp.de</guid>
  </item>
  </channel>
</rss>
